Bug 262137 - [Present Windows] Incorrect support of Show Desktop
Summary: [Present Windows] Incorrect support of Show Desktop
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: effects-window-management (show other bugs)
Version: git master
Platform: Ubuntu Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-05 00:35 UTC by Kai Uwe Broulik
Modified: 2011-09-23 15:53 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Uwe Broulik 2011-01-05 00:35:54 UTC
Version:           SVN (using KDE 4.5.90) 
OS:                Linux

Using the “Show Windows” effect for switching applications (Alt+Tab) shows Plasma-Desktop as well. This leaves the respective desktop black. But it is randomly choosen. Sometimes Plasma desktop of the left screen is taken and the windows shown on the left screen, sometimes Plasma desktop of the right screen is taken and the windows shown on the right screen but sometimes you have plasma desktop of the left screen is taken and you have you windows being shown on the right screen. I cannot figure out what is the trigger for this behavior, it does not matter whether I move the mouse over to the screen I want to have the effect, also the window currently having focus or willing to gain focus when leaving Alt+Tab is also involved in the progress of choosing the screen.
To sum it all up, the effect is bad when having multiple screens.

Reproducible: Always
Comment 1 Martin Flöser 2011-01-13 19:37:47 UTC
What is the "Show Windows" effect. Do you mean "Present Windows" which is translated to "Fenster zeigen" (backtranslated "Show Windows")?
Comment 2 Kai Uwe Broulik 2011-01-13 19:39:51 UTC
Yep, “Fenster zeigen”
Comment 3 Martin Flöser 2011-01-13 19:50:12 UTC
I think I did such a fix for Flip Switch. Probably just the same changes need to be made to all alt+tab effects.
Comment 4 Martin Flöser 2011-01-13 22:00:50 UTC
With the change of rev 1214264 the situation improved. The desktop is now 
shown in the list, but is missing as the background. This is at the moment the 
most we can do without changing the code too much which I do not consider to 
do before 4.6 (risk of breakage).
Comment 5 Thomas Lübking 2011-08-09 21:48:58 UTC
Git commit 4e0f11c62bdbad58de2cf038640bdff2ea396af2 by Thomas Lübking.
Committed on 25/04/2011 at 17:04.
Pushed by luebking into branch 'master'.

fix close button side for present windows effect
BUG: 262543

pint desktop as background when including desktop in switcher
BUG: 262137

zoom windows as hover/selection indicaton (1/8 of the screen or 105%)
BUG: 215348
CCBUG: 175521

no closer on "show desktop" desktop
show closer immediately but have it disabled for a short time to allow the user realize it

REVIEW: 101318

M  +99   -27   kwin/effects/presentwindows/presentwindows.cpp
M  +9    -0    kwin/workspace.h
M  +15   -0    kwin/libkdecorations/kdecorationfactory.h
M  +11   -0    kwin/effects.cpp
M  +4    -0    kwin/libkwineffects/kwinglobals.h
M  +2    -1    kwin/libkwineffects/kwineffects.h
M  +6    -3    kwin/effects/presentwindows/presentwindows.h
M  +2    -0    kwin/effects.h
M  +22   -1    kwin/libkdecorations/kdecorationfactory.cpp

http://commits.kde.org/kde-workspace/4e0f11c62bdbad58de2cf038640bdff2ea396af2
Comment 6 Marco Martin 2011-09-23 15:53:24 UTC
Git commit dbe57396853f9995a9b3d7ab5d55f88fc730512a by Marco Martin.
Committed on 23/09/2011 at 17:55.
Pushed by mart into branch 'active-development/screenlocker'.

fix close button side for present windows effect
BUG: 262543

pint desktop as background when including desktop in switcher
BUG: 262137

zoom windows as hover/selection indicaton (1/8 of the screen or 105%)
BUG: 215348
CCBUG: 175521

no closer on "show desktop" desktop
show closer immediately but have it disabled for a short time to allow the user realize it

REVIEW: 101318

Conflicts:

	kwin/effects.h

M  +11   -0    kwin/effects.cpp
M  +99   -27   kwin/effects/presentwindows/presentwindows.cpp
M  +6    -3    kwin/effects/presentwindows/presentwindows.h
M  +22   -1    kwin/libkdecorations/kdecorationfactory.cpp
M  +15   -0    kwin/libkdecorations/kdecorationfactory.h
M  +2    -1    kwin/libkwineffects/kwineffects.h
M  +4    -0    kwin/libkwineffects/kwinglobals.h
M  +9    -0    kwin/workspace.h

http://commits.kde.org/kde-workspace/dbe57396853f9995a9b3d7ab5d55f88fc730512a